Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4
Interface ConceptualDatatypes

public interface ConceptualDatatypes

Access to the conceptual datatypes used in M4.

Version:
  $Id: ConceptualDatatypes.java,v 1.3 2006/04/11 14:10:12 euler Exp $
Author:
  Timm Euler, Martin Scholz

Field Summary
`static java.lang.String` | `CDT_BINARY`
`static java.lang.String` | `CDT_CATEGORIAL`
`static java.lang.String` | `CDT_CONSTANT`
`static java.lang.String` | `CDT_KEYATTRIB`
`static java.lang.String` | `CDT_NOMINAL`
`static java.lang.String` | `CDT_NUMERIC`
`static java.lang.String` | `CDT_ORDINAL`
`static java.lang.String` | `CDT_SCALAR`
`static java.lang.String` | `CDT_SPATIAL`
`static java.lang.String` | `CDT_TIME`
`static java.lang.String` | `CDT_TIMEGROUP`
`static java.lang.String[]` | `CDTYPES`

Method Summary
`long` | `getIdForName(java.lang.String name)`
`java.lang.String` | `getNameForId(long id)`

Field Detail

### CDT_NOMINAL

    public static final java.lang.String CDT_NOMINAL

See Also:
  Constant Field Values

### CDT_CATEGORIAL

    public static final java.lang.String CDT_CATEGORIAL

See Also:
  Constant Field Values

### CDT_KEYATTRIB

    public static final java.lang.String CDT_KEYATTRIB

See Also:
  Constant Field Values

### CDT_CONSTANT

    public static final java.lang.String CDT_CONSTANT

See Also:
  Constant Field Values

### CDT_TIMEGROUP

    public static final java.lang.String CDT_TIMEGROUP

See Also:
  Constant Field Values

### CDT_SPATIAL

    public static final java.lang.String CDT_SPATIAL

See Also:
  Constant Field Values

### CDT_NUMERIC

    public static final java.lang.String CDT_NUMERIC

See Also:
  Constant Field Values

### CDT_ORDINAL

    public static final java.lang.String CDT_ORDINAL

See Also:
  Constant Field Values

### CDT_SCALAR

    public static final java.lang.String CDT_SCALAR

See Also:
  Constant Field Values

### CDT_TIME

    public static final java.lang.String CDT_TIME

See Also:
  Constant Field Values

### CDT_BINARY

    public static final java.lang.String CDT_BINARY

See Also:
  Constant Field Values

### CDTYPES

    public static final java.lang.String[] CDTYPES

Method Detail

### getIdForName

    public long getIdForName(java.lang.String name)

  Parameters:
    `name` - the name of a conceptual datatype (case senitive)
  Returns:
    the id representing this datatype or `0` if not found

### getNameForId

    public java.lang.String getNameForId(long id)

  Parameters:
    `id` - the ID of a conceptual datatype
  Returns:
    the conceptual datatype's name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005